XMLReader::next
XMLReader::read
XMLReader
PHP Manual

# XMLReader::open

(PHP 5 >= 5.1.0)

XMLReader::open — Set the URI containing the XML to parse

### Descrição

public bool XMLReader::open ( string `$URI` [, string `$encoding` [, int `$options` = 0 ]] )

Set the URI containing the XML document to be parsed.

### Parâmetros

`URI`

  URI pointing to the document.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the LIBXML_* constants.

### Valor Retornado

Retorna `TRUE` em caso de sucesso ou `FALSE` em caso de falha. If called statically, returns an XMLReader ou `FALSE` em caso de falha.

### Erros

This method may be called statically, but will issue an `E_STRICT` error.

### Changelog

Versão | Descrição
--- | ---
5.2.0 | `encoding` and `options` were added.

### Veja Também

- XMLReader::xml() - Set the data containing the XML to parse
- XMLReader::close() - Close the XMLReader input

XMLReader::next
XMLReader::read
XMLReader
PHP Manual